This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 481784 - sensord produce nameless output
sensord produce nameless output
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: lm_sensors (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 11:13 EST by Alexey Kuznetsov
Modified: 2015-03-04 20:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-27 13:35:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Kuznetsov 2009-01-27 11:13:30 EST
Macbook Pro 2.2 ATI

[axet@axet-laptop ~]$ sudo sensors
applesmc-isa-0300
Adapter: ISA adapter
Left side  :5990 RPM  (min = 2000 RPM)
Right side :5998 RPM  (min = 2000 RPM)
ERROR: Can't get value of subfeature temp1_input: I/O error
temp1:        +0.0°C                                    
temp2:       +41.2°C                                    
temp3:       +74.0°C                                    
temp4:       +64.0°C                                    
temp5:       +72.0°C                                    
temp6:       +69.2°C                                    
temp7:       +73.5°C                                    
temp8:       +68.0°C                                    
temp9:       +55.0°C                                    
temp10:      +59.5°C                                    
temp11:      +43.5°C                                    
ERROR: Can't get value of subfeature temp12_input: I/O error
temp12:       +0.0°C                                    

coretemp-isa-0000
Adapter: ISA adapter
Core 0:      +69.0°C  (high = +100.0°C, crit = +100.0°C)  

coretemp-isa-0001
Adapter: ISA adapter
Core 1:      +69.0°C  (high = +100.0°C, crit = +100.0°C)  

[axet@axet-laptop ~]$
Comment 1 Hans de Goede 2009-01-27 13:35:12 EST
This is not a packaging problem but a configuration problem, unfortunately lm_sensors is something which just works when installed. You can fix this by editing /etc/sensors3.conf and then adding a applesmc entry with the correct labels for each temp. as for what the correct labels are, well that is always an interesting question.

Note You need to log in before you can comment on or make changes to this bug.